Redmine - Defect #31264

Conflicting translation between "track™ and "watch" in Simplified Chinese
2019-04-26 14:03 - matteo duan

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Translations Estimated time: 0.00 hour
Target version: 3.4.11

Resolution: Fixed Affected version:

Description

In the zh.yml, the translation of "track" and "watch" is same!

This make a lot of confusion for users.

My patch give a better translation "0[" for "watch".

The new one is closer to the internet habits, such as Weibo APP.
This conflict doesn't exist in zh-TW.yml.

My environment:

.mysql Ver 15.1 Distrib 5.5.56-MariaDB, for Linux (x86_64) using readline 5.1
. ruby 2.4.5p335

. Rails 4.2.8

. redmine master branch

. git version 1.8.3.1

. no plugins
Associated revisions

Revision 18087 - 2019-04-27 11:01 - Go MAEDA

Fix the conflicting translation between "track" and "watch" in Simplified Chinese (#31264).

Patch by matteo duan.

Revision 18101 - 2019-04-30 04:39 - Go MAEDA
Merged r18087 from trunk to 4.0-stable (#31264).

Revision 18102 - 2019-04-30 04:40 - Go MAEDA
Merged r18087 from trunk to 3.4-stable (#31264).

History

#1 - 2019-04-27 04:14 - Go MAEDA

- Subject changed from Fix the conflict translation between "track" and "watch" in Chinese/S. to Fix the conflict translation between "track" and "watch"
in Simplefied Chinese

- Category changed from 118n to Translations

- Target version set to 3.4.11

I think the suggested translation "00" is a nice improvement. Also Gitlab uses "[[l" as a translation for "Watch" (
https:/gitlab.com/gitlab-org/gitlab-ce/blob/38df06dd914171351291b5ba261862bdc446cc44/locale/zhCN/qgitlab.po#L 7647).

Probably "00" is familiar for Chinese speakers because many applications including Gitlab, Twitter, and Instagram uses the word as a translation for
"follow" or "watch".

Sometimes "00" is used to explain Watch feature in GitHub. The page https:/my.oschina.net/sdlvzg/blog/1603331 explains GitHub's Watch that
"Watch 000000" (this means "the function of Watch is 00").

Based on the above, | believe it is appropriate to translate "Watch" into "00". the confusion should be fixed ASAP. | am setting the target version to
3.4.11.

#2 - 2019-04-27 11:09 - Go MAEDA
https://gitlab.com/gitlab-org/gitlab-ce/blob/38df06dd914171351291b5ba261862bdc446cc44/locale/zh_CN/gitlab.po#L7647
https://my.oschina.net/sdlvzg/blog/1603331

- Subject changed from Fix the conflict translation between "track” and "watch" in Simplefied Chinese to Conflicting translation between "track" and
"watch" in Simplified Chinese

- Status changed from New to Resolved
- Assignee set to Go MAEDA

- Resolution set to Fixed
Committed the patch. D0000Redminell

#3 - 2019-04-30 04:40 - Go MAEDA

- Status changed from Resolved to Closed

Files

0001-Fix-the-conflict-between-track-and-watch-in-Chinese-.patch 4.67 KB 2019-04-26 matteo duan
